Bug 214059 - Kernel panic in kswapd
Kernel panic in kswapd
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.8
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Red Hat Kernel Manager
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-05 03:58 EST by Brian Marsden
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:40:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel trace after panic (594.49 KB, image/jpeg)
2006-11-05 03:58 EST, Brian Marsden
no flags Details

  None (edit)
Description Brian Marsden 2006-11-05 03:58:58 EST
Description of problem:

Kernel panic in kswapd during high read I/O.


Version-Release number of selected component (if applicable):
2.4.21-47.ELsmp/i686


How reproducible:
Unknown


Steps to Reproduce:
Running a backup of the system using Yosemite Backup.
  
Actual results:
Kernel panic

Expected results:
No kernel panic


Additional info:
Kernel trace (from photo of console):

EFLAGS: 00010206

EIP is at clear_inode [kernel] 0xb9 (2.4.21-47.ELsmp/i686)
eax: 0101a8c0  ebx: e9a67500  ecx: 00000000  edx: c54b4000
esi: e9a67500  edi: c54b5f7c  ebp: 00000000  esp: c54b5f4c
ds: 0068   es: 0068  ss: 0068
Process kswapd (pid: 11, stackpacge=c54b5000)S
Stack: e9a67500 e9a67508 c018191c e9a67500 c0150068 ffffffef c03b0604 000011ea
       e6bf1080 c0181bf8 c54b5f7c 00002470 e9a67708 d81d9308 c03abc00 00017f4a
       00000001 00000040 c0181e77 000011ea 00000000 c0181f04 0000365a 00000001
Call Trace: [<c018191c>] dispose_list [kernel] 0x3c (0xc54b5f54)
[<c0150068>] do_mlock [kernel] 0x58 (0xc54b5fc)
[<c0181b48>] __prune_icache [kernel] 0x88 (0xc54b5f70)
[<c0181e77>] prune_icache [kernel] 0x17 (0xc54b5f94)
[<c0181f04>] shrink_icache_memory [kernel] 0x24 (0xc54b5fa0)
[<c0157b48>] do_try_to_free_pages_kswapd [kerne] 0x168 (0xc54b5fac)
[<c0157cf8>] kswapd [kernel] 0x68 (0xc54b5fd0)
[<c0157c90>] kswapd [kernel] 0x0 (0xc54b5fe4)
[<c01095cd>] kernel_thread_helper [kernel] 0x5 (0xc54b5ff0)

Code: 8b 50 3c 85 d2 75 5a 8b 8b 0c 01 00 00 85 c9 75 46 8b 83 10

Kernel panic: Fatal exception
Comment 1 Brian Marsden 2006-11-05 03:58:59 EST
Created attachment 140381 [details]
Kernel trace after panic
Comment 2 RHEL Product and Program Management 2007-10-19 14:40:10 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.